Pikmin won't run on my Wii - Is this the disc, laser, or Wii Hacki

Discussion in 'Wii - Hacking' started by nintendough, Mar 13, 2009.

  1. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
    I'm on 3.2 with the HBC and just recently installed the ISO51 thingy so I can go on shop channel. I bought Pikmin today but everytime I put it in the disc spins, laser tries to read it and then I get a read error. Every other disc I have plays fine (all real, I have no hard mod, etc) and when I take the disc to my friend's Wii it says "System Update" instead of Pikmin in the Disc Channel spot.

    I don't want to upgrade and don't think my Wii is broken, but I figured I should check with people who would know before going back to the store and getting an exchange.
     
  2. Snave2008

    Member Snave2008 GBAtemp Regular

    Joined:
    Nov 14, 2008
    Messages:
    187
    Location:
    Cardiff
    Country:
    United Kingdom
    Do you have Starfall or Preloader installed?

    It sounds like it's skipping the update but it needs it to run.

    If you don't want to upgrade you need to install the required IOS's.
     
  3. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
  4. thiagofera

    Newcomer thiagofera Advanced Member

    Joined:
    Sep 28, 2008
    Messages:
    57
    Location:
    Brasil
    Country:
    Brazil
    Pikmin uses IOS 33, so you need to put it on your wii with wad manager.
     
  5. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
    Okay, where can I find this (and any other IOS's I need in the future since it seems like certain games use certain IOS's)? I have a mac so I doubt I can run software I may need to do this myself.

    Thanks for the help guys, I REALLY appreciate it. I thought my launch Wii was broken and all I wanna do is get back into Pikmin...

    [EDIT - Why doesn't it show up as an update when I insert the disc? I thought on my friend's it was trying to go up to 3.4...]
     
  6. DKAngel

    Member DKAngel GBAtemp Advanced Fan

    Joined:
    Jan 5, 2009
    Messages:
    659
    Location:
    Perth,Australia
    Country:
    Australia
    u must have something blocking updates
     
  7. koji2009

    Member koji2009 GBAtemp Maniac

    Joined:
    Mar 13, 2009
    Messages:
    1,193
    Country:
    United States
    you can use WUFE or FTPii to extract the IOS from the game itself. This method is independant of pc or mac since both programs run on the wii to extract the IOSes

    If a game require a special IOS, it will have it in the game itself, no exceptions.
     
  8. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
    What could do that? I have a few Injected WADs and recently put on HBC and some of the IOS51 thingies so I could go to the shop and buy Tactics Ogre (I got the files from here: http://wiibrew.org/wiki/Wii_Shop_and_IOS51_installer)

    Is there anyway to figure this out and what if I try to update via WFC Update? Damnit, I just want to play the frickin' game I bought!

    [I think they include something called a 'fakesign bug' (patch the signature hash check (fakesign bug) out of IOS51) - could that be the culprit?]
     
  9. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
    So is there a way to remove starfall and whatnot to see if I can get it to run whatever update it needs? I'm kind of PO'd I'm out $50 right now since I don't put much onto my Wii...
     
  10. Blue-K

    Member Blue-K No right of appeal.

    Joined:
    Jun 21, 2008
    Messages:
    2,572
    Location:
    Helvetica
    Country:
    Switzerland
    Well, it looks like you have Starfall or Preloader, otherwise I don't see why it won't update. First, test if you have Preloader:

    Turn Wii Off
    Hold Reset and Turn Wii On (Hold Reset as long as you can)

    If a special menu comes up, you have Preloader. If not, it should be Starfall. To turn Starfall off, load the Starfall.dol, and deactivate the "Skip-Update"-Check. I recommend NOT (!!!) to update your Wii. 3.2 is the best for now, don't go up. Just extract the .wads with WUFE, and install the IOS33 with WAD-Manager, and you're fine. Then re-activate Starfall.
     
  11. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States

    I installed 33 and it would allow it to show up on the Disc channel but when I go in it just tells me "The Game Disc could not be read. Refer to the Wii Operations Manual for details". Are there any other WADs I should install? A few are included on the disc that I ripped...

    [EDIT - I never tried the Starfall (wouldn't go, do I need to change it to .WAD?) but I can open up the game using Gecko from HBC - I don't think I installed starfall but one of the packs I used to get the updated shop channel may have. Is there anyway for me to run Pikmin from the regular disc channel? the game works otherwise and it'd be nice to be able to do so in the future...]
     
  12. vettacossx

    Member vettacossx Wii Theme Team Founder

    Joined:
    Sep 19, 2008
    Messages:
    1,329
    Location:
    Right Behind You! Uh Oh!
    Country:
    Ireland
    gecko OS will prob load it [​IMG] but being you are on 3.2...look up Softmii guides like this to enhance your brew experience [​IMG] i play pikman from the disk channel off my backup!
    http://gbatemp.net/index.php?showtopic=139700

    maybe tou could run hack remover...that removes any hacks...pop in the disc and see if that helps....then RE-install the proper hacks you wish to have operating bye reinstalling preloader? also did you look into CIOScorp if you are on 3.2 that should help?! yeah?
     
  13. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
    So I got starfall to work (stupid B+2) and under Skip disc update chck it says (not installed)...WTF?!
     
  14. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
    Hack remover? I'd love to do that and manually install IOS51 since I think many of my problems stem from there.

    Also, what is preloader and CIOScorp? Damn, I'm really out of the loop! [​IMG]
     
  15. nintendough
    OP

    Member nintendough Advanced Member

    Joined:
    Apr 8, 2008
    Messages:
    76
    Country:
    United States
    Anyone care to help a n00b?
     

Share This Page